%define name smeserver-service_control
%define version 2.2
%define release 19
Summary: SME Server service control Panel
Name: %{name}
Version: %{version}
Release: %{release}%{?dist}
Distribution: SME Server
License: GNU GPL version 2
Group: SMEserver/addon
Source: %{name}-%{version}.tar.xz
BuildArchitectures: noarch
BuildRoot: /var/tmp/%{name}-%{version}-buildroot
BuildRequires: smeserver-devtools
Requires: smeserver-release >= 9.0
AutoReqProv: no

%changelog
* Sun Sep 08 2024 fix-e-smith-pkg.sh by Trevor Batley <trevor@batley.id.au> 2.2-19.sme
- Fix e-smith references in smeserver-service_control [SME: 12732]

* Sat Sep 07 2024 cvs2git.sh aka Brian Read <brianr@koozali.org> 2.2-18.sme
- Roll up patches and move to git repo [SME: 12338]

* Sat Sep 07 2024 BogusDateBot
- Eliminated rpmbuild "bogus date" warnings due to inconsistent weekday,
  by assuming the date is correct and changing the weekday.

* Fri Sep 06 2024 Terry Fage <terry@fage.id.au> 0.0.2-17.sme
- apply locale 2024-09-06.patch

* Mon Aug 23 2021 Terry Fage <terry.fage@gmail.com> 2.2-16.sme
- apply locale 2021-08-23 patch

* Mon Mar 29 2021 Brian Read <brianr@bjsystems.co.uk> 2.2-15.sme
- Add Update event to createlinks [SME: 11036]

* Mon Mar 29 2021 BogusDateBot
- Eliminated rpmbuild "bogus date" warnings due to inconsistent weekday,
  by assuming the date is correct and changing the weekday.
  Wed Feb 13 2015 --> Wed Feb 11 2015 or Fri Feb 13 2015 or Wed Feb 18 2015 or ....

* Tue Oct 13 2020 Brian Read <brianr@bjsystems.co.uk> 2.2-14.sme
- Initial Import to SME10 tree [SME: 11036]

* Sat Dec 07 2019 SME Translation Server <translations@contribs.org> 2.2-13.sme
- apply locale 2019-12-07 patch

* Fri Dec 14 2018 john Crisp <jcrisp@safeandsoundit.co.uk> 2.2-12
* Sat Dec 02 2017 SME Translation Server <translations@contribs.org> 2.2-11.sme
- apply locale 2017-12-02 patch

* Sat Mar 25 2017 Jean-Philipe Pialasse <tests@pialasse.com> 2.2-10.sme
- apply locale 2017-03-25 patch

* Wed Feb 01 2017 Jean-Philipe Pialasse <tests@pialasse.com> 2.2-9.sme
- apply locale 2017-02-02.patch

* Wed Mar 09 2016 JP Pialasse <tests@pialasse.com> 2.2-8.sme
- apply locale 2016-03-09 patch

* Sat Sep 12 2015 stephane de Labrusse <stephdl@de-labrusse.fr> 2.2-7.sme
- Added smeserver-service_control-2.2-locale-2015-09-12.patch

* Sat Aug 22 2015 stephane de Labrusse <stephdl@de-labrusse.fr> 2.2-6.sme
- Initial release to contribs9

* Sun Feb 15 2015 stephane de labrusse <stephdl@de-labrusse.fr> - 2.2-5
- Services with localhost access are now manageable
- Cosmetic changes in the Panel
- Optimisation of service2adjust in createlinks

* Fri Feb 13 2015 stephane de labrusse <stephdl@de-labrusse.fr> - 2.2-4
  Wed Feb 13 2015 --> Wed Feb 11 2015 or Fri Feb 13 2015 or Wed Feb 18 2015 or ....
- New expand-template of service-expand with a link to bootstrap-console-save
- sigusr1 to httpd when service-expand is called 

* Wed May 21 2014 stephane de labrusse <stephdl@de-labrusse.fr> - 2.0-3
- adaptation to git use, creation of service2adjust by createlinks

* Wed Jan 22 2014 stephane de labrusse <stephdl@de-labrusse.fr>
- first release for SME Server 8.0 thanks to Michel Van hees for his work
- Adaptation to utf8

* Mon Feb 11 2008 Michel Van hees <michel@vanhees.cc>
- Adding Access service swap

* Mon Jan 21 2008 Michel Van hees <michel@vanhees.cc>
- Code cleaning

* Mon Jan 21 2008 Michel Van hees <michel@vanhees.cc>
- Adding confirmation screen

* Tue Jan 15 2008 Michel Van hees <michel@vanhees.cc>
- Fix bug in server-manager menu

* Mon Jan 14 2008 Michel Van hees <michel@vanhees.cc>
- Fix bug in TCP Port panel

* Mon Jan 14 2008 Michel Van hees <michel@vanhees.cc>
- First release

%description
sme server administration panel to control service status and tcp port

%prep
%setup

%build
perl createlinks

%install
rm -rf $RPM_BUILD_ROOT
(cd root   ; find . -depth -print | cpio -dump $RPM_BUILD_ROOT)
rm -f %{name}-%{version}-filelist
/sbin/e-smith/genfilelist $RPM_BUILD_ROOT > %{name}-%{version}-filelist
echo "%doc COPYING"          >> %{name}-%{version}-filelist

%clean 
rm -rf $RPM_BUILD_ROOT

%pre
%preun

%post
#/etc/e-smith/events/actions/navigation-conf > /dev/null 2>&1
#echo Go to your server-manager to use new function

%postun
#/etc/e-smith/events/actions/navigation-conf > /dev/null 2>&1

%files -f %{name}-%{version}-filelist
%defattr(-,root,root)
